org.deidentifier.arx.gui.worker

## Class Worker<T>

- java.lang.Object
- - org.deidentifier.arx.gui.worker.Worker<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  org.eclipse.jface.operation.IRunnableWithProgress

Direct Known Subclasses:
  WorkerAnonymize, WorkerCreateCertificate, WorkerExport, WorkerImport, WorkerLoad, WorkerLocalRecode, WorkerSave, WorkerTransform

    public abstract class Worker<T>
    extends java.lang.Object
    implements org.eclipse.jface.operation.IRunnableWithProgress

A base class for workers that perform asynchronous tasks in a progress dialog.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`Worker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Exception` `getError()` Returns the error.
`T` `getResult()` Returns the result.
`void` `setError(java.lang.Exception e)` Sets the error.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.operation.IRunnableWithProgress

`run`

### Constructor Detail

#### Worker

    public Worker()

### Method Detail

#### getError

    public java.lang.Exception getError()

Returns the error.

Returns:

#### getResult

    public T getResult()

Returns the result.

Returns:

#### setError

    public void setError(java.lang.Exception e)

Sets the error.

Parameters:
  `e` -